Mobile to UPI Advance

API will provide the UPI Id and name for the mobile number provided.

upi_advance

POST https://secctrl.tutelar.io/api/v1/kyc/banking/upi_advance

Post parameters description is given below,

Post Parameter
Type
Is Mandatory
Description

mobile_number

String

Yes

Mobile Number

Sample Post Parameters

{
    "mobile_number": "6300000000"
}
{
    "success": true,
    "code": 200,
    "status": "completed",
    "reference_id": "6b5d8264-aeb3-48ab-b802-640f475419ba",
    "result": {
        "name": "Mr R XXXXXXX",
        "upi": true,
        "vpa": "6000000000@paytm",
        "txnId": "7ab59659-f5d2-4e73-9ab9-59b4cd739b51"
    },
    "requested_at": "2026-03-03T06:22:17.245Z",
    "completed_at": "2026-03-03T06:22:18.968Z"
}

Check Document Status

Get document details

This Get details API using to fetch the latest updated response when the above API gave the status as in-progress by using the reference_id

GET https://secctrl.tutelar.io/api/v1/kyc/banking/upi_advance

Query parameters description is given below,

Query Parameter
Type
Is Mandatory
Description

reference_id

String

Yes

Document reference id

Last updated